Subject: RE: [AAA-WG]: Issue 70: Caching of redirects

From: Thomas Panagiotis-PTHOMAS1 <[email-masked]>
Date: Fri, 8 Jun 2001 10:16:23 -0500

> I think it would be useful to also have a value for not allowing caching.

Jacques, could you please elaborate more on this? I guess I have difficulties seeing why would a redirector recommend the requestor not to cache routing information.

-Panos

-----Original Message-----
From: Jacques Caron [mailto:[email-masked]]
Sent: 08 June 2001 04:20
To: Pat Calhoun
Cc: [email-masked]
Subject: Re: [AAA-WG]: Issue 70: Caching of redirects

Hi,

Sorry I couldn't get on the call. I think it would be useful to also have a 
value for not allowing caching. I guess it could be implicitly done with a 
value of 0 for Recommanded-Redirect-Cache-Time, but that should be stated 
as such? And since it's recommended only, that might not be strong enough?

Jacques.

At 02:42 08/06/01, Pat Calhoun wrote:
>All,
>
>The following text reflects the decision that was taken during today's
>discussion, and I'd like to get any WG comments on the proposed text.
>
>5.9  Recommended-Redirect-Cache-Time AVP
>
>    The Recommended-Redirect-Cache-Time AVP (AVP Code TBD) is of type
>    Unsigned32. This AVP MUST be present in Message-Reject-Answer
>    messages that include the Result-Code AVP set to
>    DIAMETER_REDIRECT_INDICATION.
>
>    This AVP contains the maximum number of seconds the redirector
>    recommends when caching any route entries resulting from the MRA
>    message.
>
>
>5.10  Redirect-Host-Usage AVP
>
>    The Redirect-Host-Usage AVP (AVP Code TBD) is of type Enumerated.
>    This AVP MAY be present in Message-Reject-Answer messages that
>    include the Result-Code AVP set to DIAMETER_REDIRECT_INDICATION.
>
>    When present, this AVP dictates how the routing entry resulting from
>    the MRA is to be used. The following values are supported:
>
>       ALL_REALM                         0
>          All messages destined for the realm requested MAY be sent to
>          the host specified in the Redirect-Host AVP. This is the
>          default value.
>
>       REALM_AND_APPLICATION             1
>          All messages for the application requested to the realm
>          specified MAY be sent to the host specified in the Redirect-
>          Host AVP.
>
>
>Thanks,
>
>PatC

_________________________________________________________
Do You Yahoo!?
Get your free @yahoo.com address at http://mail.yahoo.com

---

From: Jacques Caron <[email-masked]>
Date: Fri, 08 Jun 2001 18:17:30 +0200

At 17:16 08/06/01, Thomas Panagiotis-PTHOMAS1 wrote:

>Jacques, could you please elaborate more on this? I guess I have 
>difficulties seeing why would a redirector recommend the requestor not to 
>cache routing information.

I think I stated it in the original issue. Just in case, at least two 
situations where you wouldn't want that:
1. the redirection is not based on realm or realm+app. Might be based on 
Called or Calling number, might be based on part of the login (imagine you 
have one server handling customers with logins beginning with a-m, another 
for those with logins beginning with n-z), might be based on the NAS it 
comes from, on the service type. Anything, actually. It would be OK to 
cache if you can specify exactly what the key for caching is, but in the 
absence of that...

2. the redirector acts as a load balancer. Not sure this would be the best 
place to put LB features, but just in case...

BTW, even if caching is not allowed or restricted, at least one case might 
be interesting to be allowed: cache the redirect host for all subsequent 
requests with the same session-ID/multi-session-ID/Class/State/whatever it 
is today. Maybe we need another value for Redirect-Host-Usage?

Jacques.